%define name idesk
%define version 0.7.5
%define release %mkrel 6

Version: 	%{version}
Summary: 	Plops icons on your root window
Name: 		%{name}
Release: 	%{release}
License: 	GPL
Group: 		Graphical desktop/Other
Source: 	%{name}-%{version}.tar.bz2
Patch0:		idesk-0.7.5-fix-fork.patch
Patch1:		idesk-0.7.5-invert-glowing.patch
Patch2:		idesk-0.7.5-restart-on-SIGHUP.patch
URL: 		http://idesk.sourceforge.net/
Buildrequires:	imlib2-devel gtk2-devel
Buildrequires:  libart_lgpl-devel startup-notification-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot


%description
iDesk gives users of minimal wm's (fluxbox, pekwm, windowmaker...) icons on
their desktop. The icon graphics are either from a png or svg (vector) file
and support some eyecandy effects like transparency. Each icon can be
configured to run one or more shell commands and the actions which run
those commands are completely configurable.
In a nutshell if you want icons on your desktop and you don't have or don't
want KDE or gnome doing it, you can use idesk.

%prep

%setup -q
%{__perl} -pi.orig -e 's|/usr/local/share|%_datadir|g;' examples/default.lnk
%patch0 -p1 -b .fork
%patch1 -p1 -b .glow
%patch2 -p1 -b .HUP

%build
%configure2_5x --enable-libsn
%make


%install
%__rm -rf %buildroot
%makeinstall

%clean
%__rm -rf %buildroot


%files
%defattr (-,root,root)
%doc README AUTHORS ChangeLog COPYING NEWS TODO
%{_bindir}/*
%{_datadir}/%{name}/



%changelog
* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.7.5-6mdv2010.0
+ Revision: 429496
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.5-5mdv2009.0
+ Revision: 267112
- rebuild early 2009.0 package (before pixel changes)

* Thu May 22 2008 Pascal Terjan <pterjan@mandriva.org> 0.7.5-4mdv2009.0
+ Revision: 210052
- fix restart-on-SIGHUP patch

* Thu May 22 2008 Pascal Terjan <pterjan@mandriva.org> 0.7.5-3mdv2009.0
+ Revision: 210044
- Patches by P. Sinz
  * Restart on SIGHUP and not only on midlle double click
  * Allow darkening on hover by setting negative transparency
  * Fix forking (pid == 0 is in the child)

* Wed May 21 2008 Pascal Terjan <pterjan@mandriva.org> 0.7.5-2mdv2009.0
+ Revision: 209711
- Enable startup notification support

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.5-1mdv2008.1
+ Revision: 126987
- kill re-definition of %%buildroot on Pixel's request
- import idesk


* Mon Feb 13 2006 Jerome Soyer <saispo@mandriva.org> 0.7.5-1mdk
- New release 0.7.5


* Tue Sep 20 2005 Michael Scherer <misc@mandriva.org> 0.7.4-1mdk
- from PierreLag
  - New version 0.7.4

* Sat Aug 20 2005 Michael Scherer <misc@mandriva.org> 0.7.3-1mdk
- from PierreLag <pierre.lag@gmail.com> 
  - New version
  - Change description
  - Remove obsolete librsvg Buildrequire (For porting to Imlib2 the SVG was remove)
  - Files in /usr/share and patch for default.lnk

* Wed Jun 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.6-4mdk
- rebuild with new g++

* Wed Apr 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.6-3mdk
- rebuild for new libcroco

* Wed Dec 17 2003 Han Boetes <han@linux-mandrake.com> 0.5.6-2mdk
- rebuild (guess it fixes an odd hang)

* Mon Sep 22 2003 Han Boetes <han@linux-mandrake.com> 0.5.6-1mdk
- Cleanup
- Bump

* Sun Jul 13 2003 Han Boetes <han@klama.mandrake.org> 0.5.5-1mdk
- bump

* Sat May 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2.1-1mdk
- 0.5.2.1

* Mon Oct  7 2002 Han Boetes <han@linux-mandrake.com> 0.3-1mdk
- First release for mandrake
